/*
 * $Id: StreamFileFilter.java,v 1.3 2002/01/04 02:31:25 kurti Exp $
 *
 * This file is part of the OpenAntiVirus-Project,
 * see http://www.openantivirus.org/
 * (c) 2001 iKu Netzwerkl&ouml;sungen
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package org.openantivirus.scanner;

import java.io.*;

/**
 * StreamFileScanner
 *
 * Pattern-Roles:
 * @author  Kurt Huwig
 * @version $Revision: 1.3 $
 *
 */
public class StreamFileFilter {
    public static final String VERSION =
        "$Id: StreamFileFilter.java,v 1.3 2002/01/04 02:31:25 kurti Exp $";
    
    private Trie trie;
    
    public StreamFileFilter(Trie trie) {
        this.trie = trie;
    }
    
    /**
     * filters the given file unaltered to the scanner
     */
    public void filter(RandomAccessFile raf) throws VirusFoundException,
                                                    IOException {
        new SequentialStreamFilter(trie).filter(
                new FileInputStream(raf.getFD()), null);
    }
}
